summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Vijay Marcel2022-09-04 05:13:24 +0200
committer Dave Woodfall2022-09-04 05:13:24 +0200
commit97f34be53486b412e41f03eef0a55e9c34b1d4a8 (patch)
tree6f1383797dc72635eebf271ef105c8bdece0133c /multimedia
parent53a30979954d826ce26e003fef0f1ededda7a3f3 (diff)
downloadslackbuilds-97f34be53486b412e41f03eef0a55e9c34b1d4a8.tar.gz
multimedia/ffmpegfs: Added (Fuse based transcoding File System)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/ffmpegfs/README20
-rw-r--r--multimedia/ffmpegfs/ffmpegfs.SlackBuild117
-rw-r--r--multimedia/ffmpegfs/ffmpegfs.info10
-rw-r--r--multimedia/ffmpegfs/slack-desc19
4 files changed, 166 insertions, 0 deletions
diff --git a/multimedia/ffmpegfs/README b/multimedia/ffmpegfs/README
new file mode 100644
index 0000000000..12bb228bc3
--- /dev/null
+++ b/multimedia/ffmpegfs/README
@@ -0,0 +1,20 @@
+FFmpegfs is a read-only FUSE file system which transcodes
+various audio and video formats to mp4, WebM and many more
+on the fly when opened and read using the ffmpeg library
+thus supporting a multitude of input formats and a variety
+of common output formats.
+
+By default only root has access to this filesystem
+for other users, uncomment user_allow_other in
+/etc/fuse.conf
+
+fop is an optional dependency needed for genetating
+pdf documents. To generate pdf docs run
+make help-pdf and copy the pdf to the doc dir by
+customizing the slackbuild
+
+Example:
+
+ffmpegs --desttype=mp4 input_dir output_dir -o allow_other,rw
+
+It is licensed under GPLv3
diff --git a/multimedia/ffmpegfs/ffmpegfs.SlackBuild b/multimedia/ffmpegfs/ffmpegfs.SlackBuild
new file mode 100644
index 0000000000..5cb47e3e6d
--- /dev/null
+++ b/multimedia/ffmpegfs/ffmpegfs.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for ffmpegfs
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ffmpegfs
+VERSION=${VERSION:-2.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html/ \
+ --build=$ARCH-slackware-linux
+
+make
+make help-html
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a COPYING ChangeLog HISTORY.md README.md NEWS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r ffmpegfs.1.htmlhelp/* $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/ffmpegfs/ffmpegfs.info b/multimedia/ffmpegfs/ffmpegfs.info
new file mode 100644
index 0000000000..217edc8995
--- /dev/null
+++ b/multimedia/ffmpegfs/ffmpegfs.info
@@ -0,0 +1,10 @@
+PRGNAM="ffmpegfs"
+VERSION="2.10"
+HOMEPAGE="https://nschlia.github.io/ffmpegfs/html/index.html"
+DOWNLOAD="https://github.com/nschlia/ffmpegfs/releases/download/v2.10/ffmpegfs-2.10.tar.gz"
+MD5SUM="9332f10ca23af57364b91955ca887020"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="w3m graphviz libchardet chromaprint"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/multimedia/ffmpegfs/slack-desc b/multimedia/ffmpegfs/slack-desc
new file mode 100644
index 0000000000..b2c8cc7a19
--- /dev/null
+++ b/multimedia/ffmpegfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ffmpegfs: ffmpegfs (Fuse based transcoding File System)
+ffmpegfs:
+ffmpegfs: FFmpegfs is a read-only FUSE file system which transcodes
+ffmpegfs: various audio and video formats to mp4, WebM and many more
+ffmpegfs: on the fly when opened and read using the ffmpeg library
+ffmpegfs: thus supporting a multitude of input formats and a variety
+ffmpegfs: of common output formats.
+ffmpegfs:
+ffmpegfs: Homepage:https://nschlia.github.io/ffmpegfs/
+ffmpegfs:
+ffmpegfs: